Page MenuHomePhabricator

Provide Open Graph tags for Lexemes
Closed, ResolvedPublic5 Story Points

Description

As a Wikidata editor working on lexicographical data, when I share a link to a lexeme on social media, I want people to be able to see which Lexeme I’m referring to without them having to follow the link.

Problem:
WikibaseLexeme doesn’t provide any Open Graph tags.

Example:

Screenshots/mockups:

Acceptance criteria:

  • Open Graph tags are defined
  • Pasting a Lexeme link on Twitter, Facebook, etc. shows the Lemma(s), Language and Lexical category (using their English labels)

See T51859: Provide Open Graph tags for Wikidata for the corresponding issue for Items and Properties.

Breakdown notes

  • LexemeMetaTagsCreator in Lexeme will need to be touched to add the meta tags
  • The example of the logic happening in Wikibase itself can be found in ViewEntityAction::overridePageMetaTags

Details

Related Gerrit Patches:

Event Timeline

Lydia_Pintscher renamed this task from Provide Open Graph tags for lexemes to Provide Open Graph tags for Lexemes.Jan 4 2019, 1:59 PM
Lydia_Pintscher triaged this task as Low priority.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a project: patch-welcome.
Addshore updated the task description. (Show Details)Feb 19 2019, 4:08 PM
Addshore updated the task description. (Show Details)Feb 21 2019, 10:02 AM

Change 492347 had a related patch set uploaded (by Greta WMDE; owner: Greta Doçi):
[mediawiki/extensions/WikibaseLexeme@master] lexeme.view: populate title, description and twitter meta tags for lexeme view.

https://gerrit.wikimedia.org/r/492347

Change 492347 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] lexeme.view: populate title, description and twitter meta tags for lexeme view.

https://gerrit.wikimedia.org/r/492347

It seems we can't test this on beta because of the robots.txt there (according to the validator in the description). Keeping it open until it is on test.

Lea_Lacroix_WMDE closed this task as Resolved.Mar 18 2019, 9:52 AM
Lea_Lacroix_WMDE added a subscriber: Lea_Lacroix_WMDE.

It works!
We also tried with https://www.wikidata.org/wiki/Lexeme:L99 to see the picture appear, FYI you may need to purge the Lexeme page first.